# Changelog ODC2700 EtherCAT

## V010.000 - ***20.09.2024*** - Release #049
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- Wurde das Ascii-Kommando OUTPUT ausgelesen, wurden mehr Schnittstellen ausgegeben als wirklich aktiv waren.

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V009.010 - ***09.09.2024*** - Release Candidate #048
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- Lepus: Der Einrichtmodus zeigte keine Objekte im Messbereich.

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V009.008 - ***30.08.2024*** - Release Candidate #047
***Optionen: alle***

### Änderungen
#### Sensor
- In der Kommandoausgabe von "PRINT" werden nur noch Einstellkommandos erwähnt.
  Das schafft die Möglichkeit, die Ausgabe zum Sensor zurückzuschicken,
  um die Einstellungen wiederherzustellen.
- Lepus: Die Einstellungen der Lichtquelle wurde verbessert.

#### Webseite
- keine Änderungen

#### Feldbus
- Die Reihenfolge der Objekte im CoE wurde durch Neubestimmung der Objekt-Indizes geändert.
- Die Sub-Indizes wurden ebenfalls neu bestimmt.

### Behobene Fehler
#### Sensor
- Der Wertebereich von Winkel-Signalen war falsch. Es werden nun Winkel von -63Grad bis +63Grad ausgegeben.
- Die maximale Anzahl an ausgewählten Ausgabesignale (Ethernet/RS422) unterschied sich zwischen
  Webseite und Kommandozeile (Terminal).
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.
- Messdatenübertragung per RS422: Manchmal wurde bei höhere Anzahl an Ausgabesignalen der Frame-Footer
  nicht gesendet.

#### Webseite
- Im Messdiagramm wurde in der negativen Zeiten ungültige Daten angezeigt.

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V008.000 - ***19.07.2024*** - Release #042

### Änderungen
#### Sensor
- initiale Release

#### Webseite
- initiale Release

#### Feldbus
- initiale Release

### Behobene Fehler
#### Sensor
- keine Fehler behoben

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- Bei einer Messrate größer als 4kHz können Synchronitätsprobleme auftreten.
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.
