# Changelog ODC2700 Phy

## V010.000 - ***20.09.2024*** - Release #049
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- keine Fehler behoben

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V009.010 - ***09.09.2024*** - Release Candidate #048
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

### Behobene Fehler
#### Sensor
- Lepus: Der Einrichtmodus zeigte keine Objekte im Messbereich.

#### Webseite
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V009.008 - ***30.08.2024*** - Release Candidate #047
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

### Behobene Fehler
#### Sensor
- Der Wertebereich von Winkel-Signalen war falsch. Es werden nun Winkel von -63Grad bis +63Grad ausgegeben.
- Der PRESETMODE eines Presets konnte nicht umgeschaltet werden, nachdem PRESETLIST abgefragt wurde.

#### Webseite
- Auf der Webseite konnte die Signalqualität nicht umgeschaltet werden.

### Bekannte Fehler / Einschränkungen
- keine

## V009.006 - ***23.08.2024*** - Release Candidate #046
***Optionen: alle***

### Änderungen
#### Sensor
- In der Kommandoausgabe von "PRINT" werden nur noch Einstellkommandos erwähnt.
  Das schafft die Möglichkeit, die Ausgabe zum Sensor zurückzuschicken,
  um die Einstellungen wiederherzustellen.
- Lepus: Die Einstellungen der Lichtquelle wurde verbessert.

#### Webseite
- keine Änderungen

### Behobene Fehler
#### Sensor
- Die maximale Anzahl an ausgewählten Ausgabesignale (Ethernet/RS422) unterschied sich zwischen
  Webseite und Kommandozeile (Terminal).
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.
- Messdatenübertragung per RS422: Manchmal wurde bei höhere Anzahl an Ausgabesignalen der Frame-Footer
  nicht gesendet.
- Die Änderung der IP-Einstellungen wurde bei bestimmten Eingaben nicht im System übernommen.

#### Webseite
- Im Messdiagramm wurde in der negativen Zeiten ungültige Daten angezeigt.

### Bekannte Fehler / Einschränkungen
- keine

## V008.000 - ***19.07.2024*** - Release #042
***Optionen: alle***

### Änderungen
#### Sensor
- Ein neuer Kantenerkennungsalgorithmus wurde implementiert.

#### Webseite
- keine Änderungen

### Behobene Fehler
#### Sensor
- Sobald eine Messeinstellung oder die Diagrammauswahl auf der Webseite geändert wurde, traten Glitches (kurze Ausreißer) auf der Analogausgangsleitung auf.
- Manchmal blieb die Lichtquelle ausgeschaltet.
- Manchmal wurde das Videosignal nicht richtig ausgegeben.

#### Webseite
- Die ROI-Einstellungen wurden manchmal nicht im Videodiagramm dargestellt.
- Die Links von Benutzerhandbuch und Betriebsanleitung referenzierten auf falsche Webseiten.
- Im IMPORT-Dialog wurde ein ungültiges Element angezeigt.

### Bekannte Fehler / Einschränkungen
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.

## V006.000 - ***07.05.2024*** - Release #028
***Optionen: alle***

### Änderungen
#### Sensor
- Die ASCII-Kommandos STATISTICSIGNAL, MASTERSIGNALE werden nun in der Einstellungsübersicht vom PRINT aufgelistet.
- Das ASCII-Kommando MASTER wird nun in der Einstellungsübersicht vom PRINT ALL aufgelistet.
- Ein neues ASCII-Kommando MEASLINE_THICKNESS zum Einstellen der Messlinienbreite wurde hinzugefügt.
- Im GETINFO wird nun das Kalibrierdatum angezeigt, wenn das Gerät nach dem Januar 2024 kalibriert wurde.

#### Webseite
- Winkel-Signale sind nun nicht mehr als Mastersignale sowie als Statistiksignale einstellbar.
- Kante A kann nun im Messdiagramm abgewählt werden.
  Wenn keine anderen Diagrammsignale ausgewählt sind, wird Kanta A wieder automatisch hinzugefügt.
- Es wird nun ein Hinweis angezeigt, wenn versucht wird, auf mehreren Kanälen ein Videosignal auszugeben.
- Das Signal „D“ (Durchmesser) wurde zu „Differenz“ umbenannt.
- Das Einstellungsmenü für Abschlusswiderstand wird nun bereitgestellt.
- Das Einstellungsmenü für Messlinienbreite wird nun bereitgestellt.
- Standartdmäßig wird im Videodiagramm nun das hellkorrigierte Signale anstelle des Rohsignals angezeigt.

### Behobene Fehler
#### Sensor
- Bei aktivierter Messdatenausgabe führt ein Aufruf der Webseite dazu,
  dass kurzzeitig ungültige Messdaten ausgegeben werden.
- Der Ethernet-Header beim Messdatentransfer enthielt eine falsche Seriennummer.

#### Webseite
- Die Nummerierung der Kantenmarkierungen (Edgemarker) im Videosignal auf der Webseite
  könnte bei umgekehrter Suchrichtung falsch bestimmt werden.
- Die Hilfetexte für den Auswertebereich, Sensor rücksetzen und Rechnungen wurden verbessert
- Wenn im Diagramm gezoomt wurde, wurden ungewollte Artefakte angezeigt.
- Den Fehler behoben, wodurch der „Einstellungen speichern“-Button in der Messwertanzeige ausgeblendet wurde.
- Die Links zu den Bedienungsanleitung führten auf ungültigte Webseiten.

### Bekannte Fehler / Einschränkungen
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.

## V004.000 - ***16.01.2024*** - Release #016
***Optionen: alle***

### Änderungen
#### Sensor
- Umbenennung vom ASCII-Kommando "TRIGINLEVEL" zu "INPUT_LEVEL"
- Änderung der Aufrufkonvention der ASCII-Kommandos "ENCSET" und "ENCRESET":
  Nun muss der Parameter "1" angegeben werden, "ENCSET 1" bzw. "ENCRESET 1".
- Änderung der Parameterbereiche für Abstandswerte auf -2147.0 bis 2147.0,
  betrifft die ASCII-Kommandos ANALOGSCALERANGE, EDGEFILTER(1|2), ERRORLIMITVALUES(1|2|3),
  MASTERSIGNAL und Parameter Offset bei COMP CALC
- Hinzufügen einer besonderen Analogausgabe bei Messfehlern:
  Bei eingestellten 0-10V werden 10,2V, bei 0-5V 5,2V und bei 4-20mA 3mA bei einem Messfehler ausgegeben.
- Erkennung eines Brownouts
- Unterstützung 10mm Messbereich

#### Webseite
- Bild für Sensorgerät ausgetauscht
- weitere Übersetzungen verfügbar: Chinesisch, Japanisch und Koreanisch.
- Änderung der Parameterbereiche im Sensor in Hilfetext eingepflegt
- Anzeige vom Messbereich in der Produktübersicht

### Behobene Fehler
#### Sensor
- Analogausgang funktionierte nur in einer Hälfte vom Messbereich.
- Mindesthaltezeiten für Schaltausgang 2 und Schaltausgang 3 wurden nicht eingehalten.
- Es konnten keine Video-Signale über Ethernet-UDP/CLIENT übertragen werden.
- Neue EDGEFILTER(1|2)-Einstellungen wurden in bestimmten Situationen nicht angewendet.
- Hilfetexte korrigert.

#### Webseite
- Einrichtungsmodus funktionierte nicht bei aktivierter Datenreduzierung oder aktivierter Trigger-Quelle.
- Bei bestimmten Geräten wurde der erweiterte Messbereich nicht richtig angezeigt.
- Statistiksignale konnten nicht rückgesetzt werden, wenn sie kurz vorher eingestellt wurden.
- Hilfetexte korrigiert
- Nun können alle Schnittstellen zur Datenausgabe aktiviert werden.

### Bekannte Fehler / Einschränkungen
- Bei aktivierter Messdatenausgabe führt ein Aufruf der Webseite dazu,
  dass kurzzeitig ungültige Messdaten ausgegeben werden.

## V002.000 - ***19.10.2023*** - Release #005
***Optionen: alle***

### Änderungen
#### Sensor
- initiale Release

#### Webseite
- initiale Release

### Behobene Fehler
#### Sensor
- keine Fehler behoben

#### Webseite
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine
