# Changelog ODC2700 ProfiNet

## V010.000 - ***20.09.2024*** - Release #049
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- Wurde das Ascii-Kommando OUTPUT ausgelesen, wurden mehr Schnittstellen ausgegeben als wirklich aktiv waren.

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- Das Beschreiben der ROI-Objekte per Feldbus ist unter Umständen nicht möglich.

## V009.010 - ***09.09.2024*** - Release Candidate #048
***Optionen: alle***

### Änderungen
#### Sensor
- keine Änderungen

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- Lepus: Der Einrichtmodus zeigte keine Objekte im Messbereich.

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V009.008 - ***30.08.2024*** - Release Candidate #047
***Optionen: alle***

### Änderungen
#### Sensor
- In der Kommandoausgabe von "PRINT" werden nur noch Einstellkommandos erwähnt.
  Das schafft die Möglichkeit, die Ausgabe zum Sensor zurückzuschicken,
  um die Einstellungen wiederherzustellen.
- Lepus: Die Einstellungen der Lichtquelle wurde verbessert.

#### Webseite
- keine Änderungen

#### Feldbus
- Die Parameter-IDs für die azyklische Kommunikation wurde neu durchnummeriert.

### Behobene Fehler
#### Sensor
- Der Wertebereich von Winkel-Signalen war falsch. Es werden nun Winkel von -63Grad bis +63Grad ausgegeben.
- Die maximale Anzahl an ausgewählten Ausgabesignale (Ethernet/RS422) unterschied sich zwischen
  Webseite und Kommandozeile (Terminal).
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.
- Messdatenübertragung per RS422: Manchmal wurde bei höhere Anzahl an Ausgabesignalen der Frame-Footer
  nicht gesendet.

#### Webseite
- Im Messdiagramm wurde in der negativen Zeiten ungültige Daten angezeigt.

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- keine

## V008.000 - ***19.07.2024*** - Release #042

### Änderungen
#### Sensor
- Ein neuer Kantenerkennungsalgorithmus wurde implementiert.

#### Webseite
- keine Änderungen

#### Feldbus
- keine Änderungen

### Behobene Fehler
#### Sensor
- Sobald eine Messeinstellung oder die Diagrammauswahl auf der Webseite geändert wurde, traten Glitches (kurze Ausreißer) auf der Analogausgangsleitung auf.
- Manchmal blieb die Lichtquelle ausgeschaltet.
- Manchmal wurde das Videosignal nicht richtig ausgegeben.

#### Webseite
- Die ROI-Einstellungen wurden manchmal nicht im Videodiagramm dargestellt.
- Die Links von Benutzerhandbuch und Betriebsanleitung referenzierten auf falsche Webseiten.
- Im IMPORT-Dialog wurde ein ungültiges Element angezeigt.

#### Feldbus
- Der Datentyp von Abstands- und Winkelsignalen war eine vorzeichenlose Zahl.

### Bekannte Fehler / Einschränkungen
- Messdatenübertragung per RS422: Das change-Flag im Footer eines Frames wird manchmal gesetzt,
  obwohl keine Konfigurationsänderung durchgeführt wurde.
- Der Fast-Startup-Modus (FSU) wird nicht unterstützt.

## V006.000 - ***07.05.2024*** - Release #028

### Änderungen
#### Sensor
- initiale Release

#### Webseite
- initiale Release

#### Feldbus
- initiale Release

### Behobene Fehler
#### Sensor
- keine Fehler behoben

#### Webseite
- keine Fehler behoben

#### Feldbus
- keine Fehler behoben

### Bekannte Fehler / Einschränkungen
- Der Fast-Startup-Modus (FSU) wird nicht unterstützt.
